package org.springblade.manager.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.manager.dto.FormulaBean;
import org.springblade.manager.entity.Formula;
import org.springblade.system.user.vo.UserVO;

import java.util.Objects;

/**
 * @author yangyj
 * @Date 2022/6/14 17:33
 * @description TODO
 */
public class FormulaWrapper extends BaseEntityWrapper<Formula,FormulaBean> {
    public static FormulaWrapper build() {
        return new FormulaWrapper();
    }
    @Override
    public FormulaBean entityVO(Formula entity) {
        return  Objects.requireNonNull(BeanUtil.copy(entity, FormulaBean.class));
    }
}
